﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Namespace="C1GridViewExt" TagPrefix="c1grid"%>
<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1GridView" tagprefix="wijmo" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NORTHWNDConnectionString %>" 
            DeleteCommand="DELETE FROM [Customers] WHERE [CustomerID] = @CustomerID" 
            InsertCommand="INSERT INTO [Customers] ([CustomerID], [CompanyName], [ContactName], [City], [Region]) VALUES (@CustomerID, @CompanyName, @ContactName, @City, @Region)" 
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [City], [Region] FROM [Customers]" 
            UpdateCommand="UPDATE [Customers] SET [CompanyName] = @CompanyName, [ContactName] = @ContactName, [City] = @City, [Region] = @Region WHERE [CustomerID] = @CustomerID">
            <DeleteParameters>
                <asp:Parameter Name="CustomerID" Type="String" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="CustomerID" Type="String" />
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
                <asp:Parameter Name="CustomerID" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>
    
    </div>
        <div>
            <c1grid:C1GridViewExtControl runat="server" ID="grid" OnRowUpdating="grid_RowUpdating" DataSourceID="SqlDataSource1" EnableFormEditing="True" AutogenerateColumns="False" AllowPaging="True" DataKeyNames="CustomerID" EnableTheming="True" style="top: 0px; left: 0px; " Width="700px">
               <EditItemTemplate>
                 <table style="width:100%; background-color:lightsteelblue">
                <tr>
                    <td>Company ID</td>
                    <td>
                        <asp:TextBox runat="server" ID="CustomerIDTextBox" ReadOnly="true" Text='<%# Bind("CustomerID") %>'></asp:TextBox>
                        </td>
                    <td>Contact Name</td>
                    <td>
                        <asp:TextBox runat="server" ID="CompanyNameTextBox" Text='<%# Bind("CompanyName") %>' Width="204px"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>Contact Name</td>
                    <td>
                       <asp:TextBox runat="server" ID="ContactNameTextBox" Text='<%# Bind("ContactName") %>'></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>City</td>
                    <td>
                        <asp:TextBox runat="server" ID="CityTextBox" Text='<%# Bind("City") %>'></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>Region</td>
                    <td>
                       <asp:TextBox runat="server" ID="RegionTextBox" Text='<%# Bind("Region") %>'></asp:TextBox>
                    </td>
                 </tr>
            </table>
                <asp:Button runat="server" ID="btnUpdate" CommandName="Update" Text="Update" />
                <asp:Button runat="server" ID="btnCancel" CommandName="Cancel" Text="Cancel" />
                </EditItemTemplate>
                <Columns>
                    <wijmo:C1BoundField DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True" SortExpression="CustomerID">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="City" HeaderText="City" SortExpression="City">
                    </wijmo:C1BoundField>
                    <wijmo:C1BoundField DataField="Region" HeaderText="Region" SortExpression="Region">
                    </wijmo:C1BoundField>
                    <wijmo:C1CommandField ShowEditButton="True">
                    </wijmo:C1CommandField>
                </Columns>
            </c1grid:C1GridViewExtControl>
           
        </div>
    </form>
</body>
</html>
